Subject: Linux-Activists - DOC Channel digest. 93-3-7-8:25
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Wed, 7 Apr 1993 15:07:12 +0300

Topics:
	 Re: mandoc

----------------------------------------------------------------------

From: "James H. Cloos Jr." <[email-masked]>
Subject: Re: mandoc
Date: Wed, 7 Apr 1993 11:20:03 +0300

JimC> Apr 1993 07:35:36 +0300

JimC> I've upgraded the man-pl.tgz file I'd uploaded to the ftp sites
JimC> to use -mandoc rather than -man.  The file man-pl.ud.z has the
JimC> udiffs.  (As small as it is, it is also included below.)

Hmmm.  Didn't seem to have made it.  [SIGH]  Let's try one more time.

JimC> The uploads will go into the incoming directories on tsx,
JimC> sunsite, and nic.

I put them in the respective incoming directories yesterday
immediately after sending this note.

The following note was in the digest with the above one:

MichaelJ> Any man packages that don't use this should be upgraded now...

StevenD> I'm using perl man...  I changed all occurances of -man to
StevenD> -mandoc, and it at least formats the pages correctly.
StevenD> Unfortunately, the makewhatis that comes with it does not
StevenD> understand the DOC format, so it has trouble making table of
StevenD> contents lines for some of the pages.

StevenD> Steve [email-masked]

I'll look into getting makewhatis to do the right thing in this case.
So far, I've not had much luck tonight.

Anyway, here are those promised patches:

--- man~	Sun Mar 21 15:26:36 1993
+++ man	Tue Apr  6 00:19:29 1993
@@ -69,12 +69,12 @@
 $GZIP_PAGE = 1;
 
 # Command to format man pages to be viewed on a tty or printed on a line printer
-$CATSET	  = "$NROFF -man -Tlatin1 -";
+$CATSET	  = "$NROFF -mandoc -Tlatin1 -";
 
 $CATSET  .= " | $COL" if $COL;
 
 # Command to typeset a man page
-$TYPESET  = "$TROFF -man -Tdvi";
+$TYPESET  = "$TROFF -mandoc -Tdvi";

 # flags: GNU likes -i, BSD doesn't; both like -h, but BSD doesn't document it
@@ -450,7 +450,7 @@
     * If \$manroot/whatis DBM files do not exist, a warning will be 
 	printed (if -d flag) and -h will be assumed for that \$manroot only.
     * If \$manroot/tmac.an exists, it will be used for formatting 
-	instead of the normal -man macros.
+	instead of the normal -mandoc macros.
     * Man pages may be gziped either in (for example) man1.z/who.1 
         or man1/who.1.z; cat pages will go into corresponding places.
     * If the man page contains .EQ or .TS directives, eqn and/or tbl
--- catman~	Sun Mar 21 15:23:48 1993
+++ catman	Tue Apr  6 00:19:47 1993
@@ -18,7 +18,7 @@
 $ZCAT	    = "zcat";
 
 # Command to format man pages to be viewed on a tty or printed on a line printer
-$CATSET	  = "$NROFF -man -Tlatin1 -";
+$CATSET	  = "$NROFF -mandoc -Tlatin1 -";
 $CATSET  .= " | $COL" if $COL;
 
 umask 022;

-JimC
-- 
James H. Cloos, Jr.	include <std/qotd>
[email-masked]	include <std/disclaimers.h>
[email-masked] 	Snail:  POBox 1111, Amherst, NY 14226-1111
[email-masked] 	Phone:  +1 716 673-1250 (voice only, for now)

------------------------------

End of DOC Digest
*****************
-------